<template>
  <item-grid class="mt-2 -mb-12">
    <template v-for="(item, index) in items">
      <core-point-item
        :key="index"
        v-bind="item"
        class="max-w-lg my-12 lg:max-w-xl lg:mx-6"
        :class="{ 'xl:flex-1 xl:max-w-full': maxColumns > 2 }"
      />
    </template>
  </item-grid>
</template>

<script>
import CorePointItem from './CorePointItem';

export default {
  name: 'CorePointItemGrid',
  components: {
    CorePointItem,
  },
  props: {
    items: { type: Array, default: () => [] },
    maxColumns: { type: Number, default: 2 },
  },
};
</script>
